/*
 Theme Name:   Marine Dynamics
 Description:  Marine Dynamics theme
 Author:       Viktor Lashkevych
 Template:     hello-elementor
*/

.elementor-button-icon {
    display: flex;
    align-items: center;
}

.elementor-button-text {
    flex: none !important;
}

.galleryImageWrap .elementor-widget-image a {
	width: 100%;
	height: 100%;
	position: relative;
}

.galleryImageWrap .elementor-widget-image a:before,
.secondGalleryPost .elementor-widget-image a:before,
.firstGalleryPost .elementor-gallery-item:before {
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background: url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzIiIGhlaWdodD0iMzIiIHZpZXdCb3g9IjAgMCAzMiAzMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPG1hc2sgaWQ9Im1hc2swXzYwXzY1OSIgc3R5bGU9Im1hc2stdHlwZTphbHBoYSIgbWFza1VuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeD0iMCIgeT0iMCIgd2lkdGg9IjMyIiBoZWlnaHQ9IjMyIj4KPHJlY3Qgd2lkdGg9IjMyIiBoZWlnaHQ9IjMyIiBmaWxsPSIjRDlEOUQ5Ii8+CjwvbWFzaz4KPGcgbWFzaz0idXJsKCNtYXNrMF82MF82NTkpIj4KPHBhdGggZD0iTTQgMjhWMjBINi42NjY2N1YyMy40NjY3TDEwLjggMTkuMzMzM0wxMi42NjY3IDIxLjJMOC41MzMzMyAyNS4zMzMzSDEyVjI4SDRaTTIwIDI4VjI1LjMzMzNIMjMuNDY2N0wxOS4zMzMzIDIxLjJMMjEuMiAxOS4zMzMzTDI1LjMzMzMgMjMuNDY2N1YyMEgyOFYyOEgyMFpNMTAuOCAxMi42NjY3TDYuNjY2NjcgOC41MzMzM1YxMkg0VjRIMTJWNi42NjY2N0g4LjUzMzMzTDEyLjY2NjcgMTAuOEwxMC44IDEyLjY2NjdaTTIxLjIgMTIuNjY2N0wxOS4zMzMzIDEwLjhMMjMuNDY2NyA2LjY2NjY3SDIwVjRIMjhWMTJIMjUuMzMzM1Y4LjUzMzMzTDIxLjIgMTIuNjY2N1oiIGZpbGw9IiNGOEY5RkMiLz4KPC9nPgo8L3N2Zz4K') center center no-repeat;
	opacity: 0;
	transition: 0.5s opacity;
	z-index: 1;
	cursor: pointer;
}

.galleryImageWrap .elementor-widget-image:hover a:before,
.secondGalleryPost .elementor-widget-image:hover a:before,
.firstGalleryPost .elementor-gallery-item:hover:before {
	opacity: 100%;
}

.headerWrap, .headerNavWrap {
	transition: 0.3s !important;
	width: 100% !important;
}

.headerWrap.elementor-sticky--active.elementor-sticky--effects .headerNavWrap{
	background-color: white !important;
	--min-height: 62px !important;
	box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
}

.headerNav .elementor-item.has-submenu.highlighted {
	background: rgba(241, 243, 249, 0.1);
}

.headerWrap.elementor-sticky--active.elementor-sticky--effects .headerNav .elementor-item.has-submenu.highlighted {
	background: #F1F3F9 !important;
}

.headerNav .sub-menu {
	padding: 6px 0 !important;
}

.headerNav .hideOnDesktop {
	display: none !important;
}

.headerWrap.elementor-sticky--active.elementor-sticky--effects .headerNav .elementor-nav-menu--main .elementor-item {
	color: #64708B !important;
	fill: #64708B !important;
}

.headerWrap.elementor-sticky--active.elementor-sticky--effects .headerNav .elementor-nav-menu--main .current-menu-item .elementor-item {
	color: #0F1629 !important;
}

.headerLogo svg {
	transition: 0.3s;
}

.headerWrap.elementor-sticky--active.elementor-sticky--effects .headerLogo svg {
	height: 40px !important;
}

.headerWrap.elementor-sticky--active.elementor-sticky--effects .headerLogo .logoFirstColor {
	color: #00AEEF;
}

.headerWrap.elementor-sticky--active.elementor-sticky--effects .headerLogo .logoSecondColor {
	color: #152E69;
}

.headerNav .elementor-menu-toggle {
	width: 34px;
	height: 34px;
	display: flex;
	align-items: center;
	justify-content: center;
	border: 1px solid #0EAFE9 !important;
}

.headerNav .elementor-menu-toggle .elementor-menu-toggle__icon--open,
.headerNav .elementor-menu-toggle .elementor-menu-toggle__icon--close {
	display: flex;
}

.heroSection .swiper-pagination {
    bottom: 32px !important;
}

.heroSection .elementor-swiper-button-next {
	right: 32px !important;
}

.heroSection .elementor-swiper-button-prev {
	left: 32px !important;
}

.heroSection .elementor-swiper .elementor-swiper-button:hover {
	color: white !important;
}

.reviewSliderWrap {
	overflow: hidden !important;
}

.reviewSlider .elementor-testimonial {
	align-items: center !important;
}

.reviewSlider .swiper-slide {
	display: flex;
	align-items: center;
}

.reviewSlider .elementor-testimonial__footer {
	width: 55%;
}

.reviewSlider .elementor-main-swiper {
	margin: 0;
	padding-bottom: 70px !important;
}

.reviewSlider .elementor-swiper-button-prev {
	left: -90px !important;
}


.reviewSlider .elementor-swiper-button-next {
	right: -90px !important;
}

.reviewSlider .elementor-testimonial__content {
	padding: 120px 0;
	display: flex;
	flex-direction: column;
	grid-gap: 24px;
}

.reviewSlider .elementor-testimonial__content:before {
	content: '';
	width: 48px;
	height: 48px;
	display: block;
	background: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNDgiIGhlaWdodD0iNDgiIHZpZXdCb3g9IjAgMCA0OCA0OCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPGcgaWQ9Ikljb24iPgo8cGF0aCBpZD0iSWNvbl8yIiBkPSJNMTQuMDI4IDZDNi42ODQgMTEuMTg0IDEuNSAxOS42OCAxLjUgMjkuMDRDMS41IDM2LjY3MiA2LjEwOCA0MS4xMzYgMTEuNDM2IDQxLjEzNkMxNi40NzYgNDEuMTM2IDIwLjIyIDM3LjEwNCAyMC4yMiAzMi4zNTJDMjAuMjIgMjcuNiAxNi45MDggMjQuMTQ0IDEyLjU4OCAyNC4xNDRDMTEuNzI0IDI0LjE0NCAxMC41NzIgMjQuMjg4IDEwLjI4NCAyNC40MzJDMTEuMDA0IDE5LjUzNiAxNS42MTIgMTMuNzc2IDIwLjIyIDEwLjg5NkwxNC4wMjggNlpNMzguNzk2IDZDMzEuNTk2IDExLjE4NCAyNi40MTIgMTkuNjggMjYuNDEyIDI5LjA0QzI2LjQxMiAzNi42NzIgMzEuMDIgNDEuMTM2IDM2LjM0OCA0MS4xMzZDNDEuMjQ0IDQxLjEzNiA0NS4xMzIgMzcuMTA0IDQ1LjEzMiAzMi4zNTJDNDUuMTMyIDI3LjYgNDEuNjc2IDI0LjE0NCAzNy4zNTYgMjQuMTQ0QzM2LjQ5MiAyNC4xNDQgMzUuNDg0IDI0LjI4OCAzNS4xOTYgMjQuNDMyQzM1LjkxNiAxOS41MzYgNDAuMzggMTMuNzc2IDQ0Ljk4OCAxMC44OTZMMzguNzk2IDZaIiBmaWxsPSIjMDI5MkM3IiBmaWxsLW9wYWNpdHk9IjAuMjkiLz4KPC9nPgo8L3N2Zz4K") center center no-repeat;
	background-size: contain;
}

.reviewSlider .elementor-testimonial__cite {
	margin-top: 0 !important;
}

.carouselSlider .e-con-inner {
	overflow: hidden !important;
}

.carouselSlider .swiper-slide {
	display: flex !important;
}

.carouselThumbs .elementor-image-box-img {
	padding-bottom: 56.25%;
	position: relative;
	display: flex;
}

.carouselThumbs .elementor-image-box-img img {
	width: 100%;
    object-fit: cover;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
}

.carouselThumbs .elementor-image-box-content {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	background: rgba(15, 22, 41, 0.5);
	padding: 20px;
	border: 4px solid transparent;
}

.carouselThumbs .swiper-slide-thumb-active .elementor-image-box-content {
	border-color: #0EAFE9;
}

.carouselThumbs .swiper-slide {
	cursor: pointer;
}

.carouselSlider .swiper-notification,
.carouselThumbs .swiper-notification {
	display: none !important;
}

.carouselSlider .elementor-image-box-wrapper,
.carouselThumbs .elementor-image-box-wrapper {
	display: flex;
}

.carouselSlider .swiper-button-prev {
    left: -82px;
}

.carouselSlider .swiper-button-next {
    right: -82px;
}

.carouselSlider .swiper-button-prev,
.carouselSlider .swiper-button-next {
	top: 50%;
	transform: translateY(-50%);
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
	margin: 0 !important;
}

.carouselSlider .swiper-button-prev:after,
.carouselSlider .swiper-button-next:after {
	font-size: 24px;
	width: 100%;
	height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
	color: #949FB8;
}

.carouselSlider .swiper-pagination {
	display: none;
    align-items: center;
    justify-content: center;
    bottom: 30px !important;
}

.carouselSlider .swiper-pagination-bullet {
	margin: 0;
    width: 10px;
    height: 10px;
    background: #fff;
    opacity: 100%;
}

.carouselSlider.darkBg .swiper-pagination-bullet {
    background: #0EAFE94D;
}

.carouselSlider .swiper-pagination-bullet.swiper-pagination-bullet-active {
	background: #0eafe9;
}

.gallerySectionWrap {
	overflow: hidden !important;
}

.faqBlock .elementor-accordion-item + .elementor-accordion-item {
	border-top: 1px solid #E2E6F0 !important;
}

.tabVerticalBlock .elementor-tabs-wrapper {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	grid-gap: 12px;
}

.tabVerticalBlock .elementor-tabs-wrapper .elementor-tab-title,
.tabVerticalBlock .elementor-tab-mobile-title {
	padding: 8px 12px !important;
}

.tabVerticalBlock .elementor-tabs-wrapper .elementor-tab-title:hover,
.tabVerticalBlock .elementor-tab-mobile-title {
	background: #F8F9FC;
}

.tabVerticalBlock .elementor-tabs-wrapper .elementor-tab-title.elementor-active,
.tabVerticalBlock .elementor-tab-mobile-title.elementor-active {
	background: #E2E6F0;
}

.tabVerticalBlock .elementor-tab-mobile-title {
	border: 1px solid #e2e6f0 !important;
}

.tabVerticalBlock .elementor-tabs {
	justify-content: space-between;
	grid-gap: 44px;
}

.tabVerticalBlock .elementor-tabs-content-wrapper {
	max-width: 680px;
}

.tabVerticalBlock .elementor-tabs-content-wrapper .elementor-tab-content {
	padding: 0 !important;
}

.tabHorizontalBlock {
	position: relative;
	width: 100%;
}

.tabHorizontalBlock .elementor-tabs-wrapper .elementor-tab-title {
	white-space: nowrap;
	padding: 0 4px 16px !important;
	border-bottom: 2px solid transparent !important;
	position: relative;
	z-index: 1;
}

.tabHorizontalBlock .elementor-tabs-wrapper .elementor-tab-title:not(.elementor-active):hover {
	border-color: #D9D9D9 !important;
	color: #333D55 !important;
}

.tabHorizontalBlock .elementor-tabs-wrapper .elementor-tab-title.elementor-active {
	border-color: #0EAFE9 !important;
}

.tabHorizontalBlock .elementor-tabs-wrapper {
	position: relative;
	display: flex;
}

.tabHorizontalBlock .elementor-tabs-wrapper:after {
	content: '';
	display: block;
	width: 100%;
	height: 1px;
	background: #E2E6F0;
	position: absolute;
	bottom: 0;
}

.tabHorizontalBlock .elementor-tabs {
	display: flex;
	flex-direction: column;
	overflow: hidden;
}

.tabHorizontalBlock .swiper-button-prev {
    left: -36px;
}

.tabHorizontalBlock .swiper-button-next {
    right: -36px;
}

.tabHorizontalBlock .swiper-button-prev,
.tabHorizontalBlock .swiper-button-next {
	top: 0;
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
	margin: 0 !important;
}

.tabHorizontalBlock .swiper-button-prev:after,
.tabHorizontalBlock .swiper-button-next:after {
	font-size: 18px;
	width: 100%;
	height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
	color: #949FB8;
}

.tabHorizontalBlock .elementor-tab-content {
	padding: 40px 0 0 !important;
}

.bulletIconList ul, 
.numberIconList ul {
    display: grid;
    grid-template-columns: repeat(2,minmax(0,1fr));
}

.numberIconList ul {
    counter-reset: numbers;
}

.numberIconList li:before {
    counter-increment: numbers;
    content: counter(numbers) '.\00a0';
    color: #0EAFE9;
}

.secondGalleryPost .elementor-widget-image a,
.secondGalleryPost .elementor-widget-image .elementor-widget-container {
    width: 100%;
    overflow: hidden;
    display: flex;
}

.secondGalleryPost .elementor-widget-image:hover img {
    transform: scale(1.1);
}

.firstGalleryPost .elementor-gallery-item__image {
	transform-origin: center center;
}

@media (max-width: 1440px) {
	.reviewSlider .elementor-swiper-button-prev,
	.reviewSlider .elementor-swiper-button-next,
	.carouselSlider .swiper-button-prev,
	.carouselSlider .swiper-button-next {
		display: none !important;
	}
	
	.reviewSlider .elementor-testimonial__content {
		padding: 80px 0;
	}
	
	.reviewSlider .elementor-testimonial__content:before {
		width: 38px;
		height: 38px;
	}
	
	.tabHorizontalBlock .elementor-tabs-wrapper {
		margin: 0 36px;
	}
	
	.tabHorizontalBlock .swiper-button-prev {
		left: 0;
	}
	
	.tabHorizontalBlock .swiper-button-next {
		right: 0;
	}
}

@media (max-width: 1024px) {
	.headerNav .hideOnDesktop {
		display: block !important;
	}
	
	.headerNav .sub-menu {
		padding: 0 !important;
	}
	
	.headerNav .elementor-sub-item {
		border: none !important;
	}
	
	.headerNav .elementor-nav-menu .elementor-item {
		text-transform: none !important;
	}
	
	.headerNav .elementor-nav-menu {
		border-top: 1px solid #E2E6F0;
		border-bottom: 1px solid #E2E6F0;
	}
	
	.headerWrap {
		background-color: white !important;
		box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
	}
	
	.headerLogo .logoFirstColor {
		color: #00AEEF;
	}

	.headerLogo .logoSecondColor {
		color: #152E69;
	}
	
	.reviewSliderWrap {
		background-color: transparent !important;
	}
	
	.reviewSlider .elementor-testimonial {
		flex-direction: column-reverse !important;
	}
	
	.reviewSlider .elementor-testimonial__content {
		padding: 64px 32px 32px;
		background-color: #f0fbff;
		margin-top: -44px;
	}
	
	.reviewSlider .elementor-testimonial__footer {
		z-index: 1;
	}
	
	.reviewSlider .elementor-main-swiper {
		width: 100% !important; 
	}
	
	.reviewSlider .elementor-testimonial__footer {
		width: calc(100% - 64px);
	}
	
	.heroSection .elementor-swiper-button-prev,
	.heroSection .elementor-swiper-button-next {
		display: none !important;
	}
	
	.postSecondReview .elementor-swiper-button {
		display: none !important;
	}
	
	.postSecondReview .elementor-main-swiper {
		width: 100% !important;
	}
}

@media (max-width: 767px) {
	.galleryImageWrap .elementor-widget-image a:before,
	.firstGalleryPost .elementor-gallery-item:before
	.secondGalleryPost .elementor-widget-image a:before {
		background-size: 24px;
	}
	
	.carouselSlider .swiper-pagination {
		display: flex;
	}
	
	.headerWrap.elementor-sticky--active.elementor-sticky--effects .headerLogo svg {
		height: 34px !important;
	}
	
	.tabVerticalBlock .elementor-tabs-content-wrapper,
	.tabHorizontalBlock .elementor-tabs-content-wrapper{
		display: flex !important;
		flex-direction: column;
		grid-gap: 12px;
	}
	
	.tabHorizontalBlock .swiper-button-prev, 
	.tabHorizontalBlock .swiper-button-next {
		display: none;
	}
	
	.tabHorizontalBlock .elementor-tabs-wrapper {
		display: flex;
		flex-direction: column;
		align-items: flex-start;
		grid-gap: 12px;
	}

	.tabHorizontalBlock .elementor-tab-mobile-title {
		padding: 8px 12px !important;
		background: #F8F9FC;
		border: 1px solid #e2e6f0 !important;
	}

	.tabHorizontalBlock .elementor-tab-mobile-title.elementor-active {
		background: #E2E6F0;
		color: #0f1629 !important;
	}
	
	.tabHorizontalBlock .elementor-tab-content {
		padding: 0 !important;
	}
	
	.bulletIconList ul,
	.numberIconList ul {
        grid-template-columns: 100%;
    }
}